Bug 986708 - MUMPS: Obey MPI guidelines
MUMPS: Obey MPI guidelines
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: MUMPS (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
: Reopened
Depends On: 985037
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 15:54 EDT by Susi Lehtola
Modified: 2013-09-13 14:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: MUMPS-4.10.0-13.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-17 20:37:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2013-07-21 15:54:12 EDT
MUMPS is breaking MPI guidelines. You MUST fix the package.
Comment 1 Antonio Trande 2013-07-22 09:19:57 EDT
Hi.

Currently, in rawhide tree MUMPS has broken dependencies related to openmpi libraries (libmpi_f77.*) starting from 'openmpi-1.7.2' (fc20 packages).

As well the blacs-openmpi package from which it depends. 
MUMPS fc20 package cannot be built as long as blacs-openmpi is not fixed.
See bz#985037.
Comment 2 Antonio Trande 2013-07-23 10:12:12 EDT
Dependencies fixed in MUMPS-4.10.0-10.fc20 builds: http://koji.fedoraproject.org/koji/taskinfo?taskID=5644659
Comment 3 Susi Lehtola 2013-07-23 10:20:28 EDT
Please re-read the description.

You MUST conform to
http://fedoraproject.org/wiki/Packaging:MPI#Packaging_of_MPI_software
Comment 4 Fedora Update System 2013-07-28 14:24:55 EDT
MUMPS-4.10.0-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-11.fc18
Comment 5 Fedora Update System 2013-07-28 14:25:06 EDT
MUMPS-4.10.0-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-11.el6
Comment 6 Fedora Update System 2013-07-28 14:25:15 EDT
MUMPS-4.10.0-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-11.fc19
Comment 7 Fedora Update System 2013-07-28 17:10:27 EDT
Package MUMPS-4.10.0-11.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing MUMPS-4.10.0-11.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11020/MUMPS-4.10.0-11.el6
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-07-29 11:45:06 EDT
MUMPS-4.10.0-12.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-12.fc18
Comment 9 Fedora Update System 2013-07-29 11:45:18 EDT
MUMPS-4.10.0-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-12.el6
Comment 10 Fedora Update System 2013-07-29 11:45:28 EDT
MUMPS-4.10.0-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-12.fc19
Comment 11 Fedora Update System 2013-08-08 15:26:36 EDT
MUMPS-4.10.0-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-13.fc18
Comment 12 Fedora Update System 2013-08-08 15:26:50 EDT
MUMPS-4.10.0-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-13.fc19
Comment 13 Fedora Update System 2013-08-08 15:27:05 EDT
MUMPS-4.10.0-13.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-13.el6
Comment 14 Fedora Update System 2013-08-17 20:37:49 EDT
MUMPS-4.10.0-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-08-17 20:40:26 EDT
MUMPS-4.10.0-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-08-28 13:36:26 EDT
MUMPS-4.10.0-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-14.fc19
Comment 17 Fedora Update System 2013-08-28 13:36:39 EDT
MUMPS-4.10.0-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-14.fc18
Comment 18 Fedora Update System 2013-08-28 13:36:53 EDT
MUMPS-4.10.0-14.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/MUMPS-4.10.0-14.el6
Comment 19 Fedora Update System 2013-09-07 20:30:19 EDT
MUMPS-4.10.0-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-09-07 20:34:40 EDT
MUMPS-4.10.0-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-09-13 14:07:01 EDT
MUMPS-4.10.0-14.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.